Module ij
Package ij

# Class RecentOpener

java.lang.Object
ij.RecentOpener

All Implemented Interfaces:
  `Runnable`

public class RecentOpener extends Object implements Runnable
Opens, in a separate thread, files selected from the File/Open Recent submenu.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Open the file and move the path to top of the submenu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### run

public void run()
Open the file and move the path to top of the submenu.

Specified by:
  `run` in interface `Runnable`